
---@class mqtt_tools*
---@type mqtt_tools*
local M = {}

--- Encode a string into hexadecimal text.
---@param value string Raw string.
---@return string hex Hexadecimal text.
function M.hex(value) end

--- Integer division.
---@param lhs number dividend.
---@param rhs number divisor.
---@return integer result result.
function M.div(lhs, rhs) end

--- Traverse the table in stable order.
---@param tbl table source table.
---@return fun():any, any iterator iterator.
function M.sortedpairs(tbl) end

--- Extract multiple lines of hexadecimal text, removing whitespace and `--` line comments.
---@param value string Multiple lines of hexadecimal text.
---@return string hex Hexadecimal text.
function M.extract_hex(value) end

return M
